# 32/64bit spec
#
%define name	fsarchiver
%define version	0.8.3
%define release	%mkrel 1

Summary:	Filesystem Archiver for Linux
Name:		%{name}
Version:	%{version}
Release:	%{release}
URL:		http://www.fsarchiver.org
Source0:	http://prdownloads.sourceforge.net/%{name}/%{name}-%{version}.tar.xz
Patch1:		fsarchiver-0.6.15-linking.patch
License:	GPLv2+
Group:		Archiving/Backup 
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
#-------------------------------------
BuildRequires: %{_lib}attr1-devel
BuildRequires: %{_lib}blkid-devel
BuildRequires: %{_lib}bzip2-devel
BuildRequires: %{_lib}ext2fs-devel
BuildRequires: %{_lib}gcrypt-devel
BuildRequires: %{_lib}gpg-error-devel
BuildRequires: %{_lib}lzma-devel
BuildRequires: %{_lib}lzo-devel
BuildRequires: %{_lib}uuid-devel
BuildRequires: lz4-devel
#-------------------------------------

%description
FSArchiver is a system tool that allows you to save the contents of 
a file-system to a compressed archive file. The file-system can be 
restored on a partition which has a different size and it can be 
restored on a different file-system. 

The following features have already been implemented in the current version:

-Support for basic file attributes (permissions, owner, ...)
-Support for multiple file-systems per archive
-Support for extended attributes (they are used by SELinux)
-Support the basic file-system attributes (label, uuid, block-size) for all 
 linux file-systems
-Support for ntfs filesystems (ability to create flexible clones of 
 windows partitions)
-Checksumming of everything which is written in the archive 
 (headers, data blocks, whole files)
-Ability to restore an archive which is corrupt (it will just skip the 
 current file)
-Multi-threaded lzo, gzip, bzip2, lzma compression: if you have a 
 dual-core / quad-core it will use all the power of your cpu
-Lzma compression (slow but very efficient algorithm) to make your 
 archive smaller.
-Support for splitting large archives into several files with a fixed 
 maximum size
-Encryption of the archive using a password. Based on blowfish from libcrypto 
 from openssl.
NOTE: Use this package with care, it is a development version.

%prep
%setup -q -n %{name}-%{version}
%patch1 -p1

%build
%configure2_5x

%make V=1

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING ChangeLog AUTHORS README
%{_sbindir}/%{name}
%{_mandir}/man8/*

%changelog
* Wed Mar 21 2018 adrianomorselli <adrianomorselli> 0.8.3-1uplos2018
- update
- add new BR lz4-devel
